%define upstream_name    App-perlbrew
%define upstream_version 0.96

%{?perl_default_filter}

Name:       perlbrew
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manage perl installations in your $HOME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Perl::Releases) >= 5.202.207.200
BuildRequires: perl(Capture::Tiny) >= 0.480.0
BuildRequires: perl(Devel::PatchPerl) >= 2.80.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.220.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(File::Which) >= 1.210.0
BuildRequires: perl(IO::All) >= 0.510.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Path::Class) >= 0.330.0
BuildRequires: perl(Pod::Parser) >= 1.630.0
BuildRequires: perl(Pod::Usage) >= 1.680.0
BuildRequires: perl(Test::Exception) >= 0.320.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Output) >= 1.30.0
BuildRequires: perl(Test::Simple) >= 1.1.2
BuildRequires: perl(Test::Spec) >= 0.490.0
BuildRequires: perl(Test::TempDir::Tiny) >= 0.16.0
BuildRequires: perl(local::lib) >= 2.0.14
BuildArch:  noarch

Obsoletes:  perl-%{upstream_name} <= 0.170.0

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to
'~/perl5/perlbrew', and requires you to tweak your PATH by including a
bashrc/cshrc file it provides. You then can benefit from not having to run
'sudo' commands to install cpan modules because those are installed inside
your HOME too. It's a completely separate perl environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

#%check
#%__make test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/perlbrew
%{_mandir}/man1/perlbrew.1*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Aug 01 2022 tv <tv> 0.960.0-1.mga9
+ Revision: 1874133
- update to 0.96

* Tue May 17 2022 tv <tv> 0.950.0-1.mga9
+ Revision: 1858494
- update to 0.95

* Mon Mar 21 2022 umeabot <umeabot> 0.940.0-2.mga9
+ Revision: 1815778
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 0.940.0-1.mga9
+ Revision: 1761810
- update to 0.94

* Fri Nov 26 2021 tv <tv> 0.930.0-1.mga9
+ Revision: 1759509
- update to 0.93

* Mon Apr 19 2021 tv <tv> 0.920.0-1.mga9
+ Revision: 1716827
- update to 0.92

* Thu Feb 25 2021 tv <tv> 0.910.0-1.mga9
+ Revision: 1691042
- update to 0.91

* Tue Oct 20 2020 tv <tv> 0.890.0-1.mga8
+ Revision: 1637190
- update to 0.89

* Sat May 02 2020 tv <tv> 0.880.0-1.mga8
+ Revision: 1577676
- update to 0.88

* Wed Feb 12 2020 umeabot <umeabot> 0.840.0-3.mga8
+ Revision: 1507184
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.840.0-2.mga7
+ Revision: 1287520
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 shlomif <shlomif> 0.840.0-1.mga7
+ Revision: 1241055
- New version 0.84

* Mon Feb 19 2018 shlomif <shlomif> 0.820.0-1.mga7
+ Revision: 1203025
- New version 0.82

* Fri Jul 28 2017 shlomif <shlomif> 0.800.0-1.mga7
+ Revision: 1131808
- New version 0.80

* Sat Jun 18 2016 pterjan <pterjan> 0.740.0-2.mga6
+ Revision: 1022793
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.740.0-1.mga6
+ Revision: 923685
- update to 0.74

* Wed Oct 15 2014 umeabot <umeabot> 0.690.0-3.mga5
+ Revision: 748334
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.690.0-2.mga5
+ Revision: 687068
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.690.0-1.mga5
+ Revision: 639942
- update to 0.69

* Mon Feb 10 2014 jquelin <jquelin> 0.670.0-1.mga5
+ Revision: 588204
- update to 0.67

* Sat Oct 19 2013 umeabot <umeabot> 0.640.0-2.mga4
+ Revision: 527591
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.640.0-1.mga4
+ Revision: 441471
- update to 0.64

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 375610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 335209
- update to 0.58

* Wed Nov 14 2012 jquelin <jquelin> 0.570.0-1.mga3
+ Revision: 317606
- update to 0.57

* Tue Nov 06 2012 jquelin <jquelin> 0.550.0-1.mga3
+ Revision: 314842
- update to 0.55

* Wed Oct 17 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 307566
- update to 0.53

* Mon Oct 01 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 301258
- update to 0.51

* Mon Sep 17 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 295365
- update to 0.50

* Fri Jul 06 2012 jquelin <jquelin> 0.440.0-1.mga3
+ Revision: 268440
- update to 0.44

* Tue Jun 05 2012 jquelin <jquelin> 0.430.0-1.mga3
+ Revision: 255803
- update to 0.43

* Tue Mar 06 2012 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 219986
- update to 0.41

* Wed Jan 04 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 190269
- update to 0.39

* Sun Dec 18 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 183758
- update to 0.36

* Sat Dec 17 2011 kharec <kharec> 0.350.0-1.mga2
+ Revision: 183076
- update to 0.35

* Fri Dec 16 2011 kharec <kharec> 0.330.0-1.mga2
+ Revision: 182701
- disable checks for now
+ jquelin <jquelin>
- update to 0.33
- remove MYMETA from %%doc
- remove MYMETA.json from %%doc
- update to 0.31

* Fri Oct 14 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 155041
- update to 0.30
- update to 0.28

* Wed Jul 13 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 123622
- update to 0.27
- update to 0.25

* Wed Jun 15 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 107779
- update to 0.24

* Thu Mar 17 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 73125
- update to 0.18

* Wed Mar 16 2011 jquelin <jquelin> 0.170.0-2.mga1
+ Revision: 72514
- wrong obsoletes:
- renaming perl-App-perlbrew to perlbrew
- renaming package

* Thu Mar 10 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 67609
- update to 0.17

* Mon Feb 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 55467
- update to 0.16

* Tue Jan 18 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 22017
- cleaning spec file
- imported package perl-App-perlbrew

